plot,oce-method {oce} | R Documentation

## Plot an oce Object

### Description

This creates a `pairs` plot of the elements in the `data` slot, if there are more than 2 elements there, or a simple xy plot if 2 elements, or a histogram if 1 element.

### Usage

    ## S4 method for signature 'oce'
    plot(x, y, ...)

### Arguments

`x` | A basic `oce` object, i.e. one inheriting from `oce-class`, but not from any subclass of that (because these subclasses go to the subclass plot methods, e.g. a `ctd-class` object would go to `plot,ctd-method`.
`y` | Ignored; only present here because S4 object for generic `plot` need to have a second parameter before the `...` parameter.
`...` | Passed to `hist`, `plot`, or to

### Examples

    library(oce)
    o <- new("oce")
    o <- oceSetData(o, 'x', rnorm(10))
    o <- oceSetData(o, 'y', rnorm(10))
    o <- oceSetData(o, 'z', rnorm(10))
    plot(o)

[Package oce version 0.9-22 Index]